# Fab week 1 

I found this week to be a bit intemidating as software /  web design in general 
and writing in particular is not my strong suit. Nothing to gain by waiting so I dove 
right in. 

Decided to start off with MKDocs as having that in place would make documentation of 
everything else easier. 

## Installing MKDocs

Started off trying to install MKDocs. I linked off the mkdocs website into the " getting started " page 

https://www.mkdocs.org/getting-started/

![mkdocs](../images/imagW1/MKDocsgettingstarted.jpg)

And from there moved to the installation guide at: 

 https://www.mkdocs.org/user-guide/installation/

![MKDocs install](../images/imagW1/MKDocsinstall.jpg) 


**Problem #1 - no pip or python on my PC…..**

![No PIP](../images/imagW1/NoPIP.jpg)

![No python](../images/imagW1/Nopython.jpg)

## Installing Python 

 Tried installing Python from the website www.python.org but once I got back into the CMD that did not seem to work


![Python web install](../images/imagW1/Pythonwebinstall.jpg)


 After trying different commands in the CMD terminal the windows app store python came up!!! and after installing the app from there things seems to get back on track 

  After what I thought was success I seem to hit a wall to get more progress....

![Python not on path](../images/imagW1/Pythonnotinpath.jpg)

## Visual Studio

Next we needed to get IDE in place. 

This was very straight forward off the Visual Studio website 

https://visualstudio.microsoft.com/vs/

![VS](../images/imagW1/VisualStudio.jpg)

## Mattermost

Got the link to set up Matter most. Followed direction for Windows install 

![Mattermost install](../images/imagW1/Mattermostinstall.jpg)


Added the channel from the fab admin email and logged in using the Gitlab button 

![Matter most](../images/imagW1/Mattermostup.jpg)

And we are good to go 

![Matter most logged in](../images/imagW1/Mattermostup.jpg)

## GitLab

This is a litte confusion but I fould a guide on 
https://docs.gitlab.com/ee/topics/git/how_to_install_git/
 
and decided to follow it.
Step 1: Install GIT from https://git-scm.com/

![git install](../images/imagW1/git-scminstall.jpg)

Thanks I went ahead with the commands to install and create a key 

![SSH Key](../images/imagW1/SSHgen.jpg)

Now I went ahead from Git Bash using the following command:

```
cat ~/.ssh/id_ed25519.pub | clip
```
Now the SSH was copied into my clipboard and the next step is to add that to GitLab 

Under profile--> prefrences there is an SSH Key option 

![SSH Key](../images/imagW1/GitlabSSHinput.jpg)

and we are now goot to do...I think

![SSH Key2](../images/imagW1/GitlabSSHinput2.jpg)

So I decided to check but running the following command 

```
ssh -T git@gitlab.fabcloud.org
```

![SSH test](../images/imagW1/sshwelcommessage.jpg)


Success!!!!

So now it is time to clone the repository. The command itself seemed easy enough but 
I did have to try a number of times until I got the address correct.

![Cloned](../images/imagW1/gitcloned.jpg)


So now it is time to access the local repo and see if I can update something 

I load Git Gui

![Git Gui](../images/imagW1/GitGui.jpg)

It took my a bit of time to figure out were the repo cloned but I noticed it said "dan-stone" in the 
clone 

![Git cloned](../images/imagW1/gitclonedlocation.jpg)

A quick search located that folder in the top of the C: drive and so pointing the GitGui "open repo"
got us rocking and rolling 

![Git open](../images/imagW1/gitclonedlocation.jpg)



![git GUI](../images/imagW1/gitguiinstall.jpg)

## Uploading my first website 

So I have been diligently in MKDocs and ignoring the parts of the documentation that 
talk about "build" command....i have been using ```mkdocs serve``` to start a local site
that I can view and it all seems great. 

Well I decided to upload my website to git and it all seems simple enough....

I copy the MKDocs folder contents to the "Public Folder" in the repository and hit push 

GitGui give me back a "Success" green light and I hit the public website address to find 

![404](../images/imagW1/404.jpg)

It seems that other folks in my class had a similar issue at the same time and a discussion 
on mkdocs vs. html made me realize that I should probably go back and revisit the ```mkdocs build```
command. 

I get a folder named "site" filled with html files of my website.

I quickly drop these files into my "Public folder" of the repository and commeit a push....

Success....kinds of....web site is up but no picture are showing .....

![no pic](../images/imagW1/aboutnopic.jpg)

I do some more research and looks like what I thought was the syntaxt for a relative pic link was not 
right.

I kept using 
```![title](/folder name/name of image.jpg)```

but is should be 
```![title](../folder name/name of image.jpg)```

Qucik correct, new build and upload and we are good to go!!
